Package com.sun.speech.freetts.jsapi

# Class FreeTTSSynthesizerQueueItem

SynthesizerQueueItem
com.sun.speech.engine.synthesis.BaseSynthesizerQueueItem
com.sun.speech.freetts.jsapi.FreeTTSSynthesizerQueueItem

All Implemented Interfaces:
  `SpeechEventDispatcher`, `FreeTTSSpeakable`

public class FreeTTSSynthesizerQueueItem extends BaseSynthesizerQueueItem implements FreeTTSSpeakable
Represents an object on the speech output queue of a `FreeTTSSynthesizer`. Extends the BaseSynthesizerQueueItem by allowing access to the DOM document.

## Field Summary

### Fields inherited from class com.sun.speech.engine.synthesis.BaseSynthesizerQueueItem

`itemNumber, synth, thisItemNumber`

## Constructor Summary

Constructors
Constructor
Description
`FreeTTSSynthesizerQueueItem()`
Construct a queue item.

## Method Summary

Modifier and Type
Method
Description
`Document`
`getDocument()`
Gets the DOM document for this object.
`InputStream`
`getInputStream()`
Gets the input stream
`boolean`
`isDocument()`
Returns `true` if the item is a JSML document (Java Speech Markup Language text).
`boolean`
`isStream()`
Returns `true` if the item is an input stream

### Methods inherited from class com.sun.speech.engine.synthesis.BaseSynthesizerQueueItem

`cancelled, completed, dispatchSpeechEvent, fireMarkerReached, fireSpeakableCancelled, fireSpeakableEnded, fireSpeakablePaused, fireSpeakableResumed, fireSpeakableStarted, fireTopOfQueue, fireWordStarted, getItemNumber, isCancelled, isCompleted, postMarkerReached, postSpeakableCancelled, postSpeakableEnded, postSpeakablePaused, postSpeakableResumed, postSpeakableStarted, postTopOfQueue, postWordStarted, setData, setData, setData, started, waitCompleted`

### Methods inherited from interface com.sun.speech.freetts.FreeTTSSpeakable

`cancelled, completed, getText, isCompleted, isPlainText, started, waitCompleted`

## Constructor Details

### FreeTTSSynthesizerQueueItem

public FreeTTSSynthesizerQueueItem()
Construct a queue item.

## Method Details

### getDocument

public Document getDocument()
Gets the DOM document for this object.

Specified by:
  `getDocument` in interface `FreeTTSSpeakable`
Overrides:
  `getDocument` in class `BaseSynthesizerQueueItem`
Returns:
  the DOM document for this object.

### isStream

public boolean isStream()
Returns `true` if the item is an input stream

Specified by:
  `isStream` in interface `FreeTTSSpeakable`
Returns:
  true if the item is an input stream; otherwise, returns `false`

### getInputStream

public InputStream getInputStream()
Gets the input stream

Specified by:
  `getInputStream` in interface `FreeTTSSpeakable`
Returns:
  the input stream

### isDocument

public boolean isDocument()
Returns `true` if the item is a JSML document (Java Speech Markup Language text).

Specified by:
  `isDocument` in interface `FreeTTSSpeakable`
Returns:
  `true` if the item is a document; otherwise, returns `false`